parameters:
    visual_m_media_manager.controller.folder.class: 'VisualM\MediaManagerBundle\Controller\FolderController'
    visual_m_media_manager.controller.file.class: 'VisualM\MediaManagerBundle\Controller\FileController'
    visual_m_media_manager.controller.ajax.class: 'VisualM\MediaManagerBundle\Controller\AjaxController'
    
services:
    
    visual_m_media_manager.controller.folder:
        class: '%visual_m_media_manager.controller.folder.class%'
        arguments:
            - '@service_container'
            - '%visual_m_media_manager_configuration%'
            - '@translator'
        calls:
          - [ setContainer,[ @service_container ] ]
          
    visual_m_media_manager.controller.file:
        class: '%visual_m_media_manager.controller.file.class%'
        arguments:
            - '@service_container'
            - '%visual_m_media_manager_configuration%'
            - '@translator'
        calls:
          - [ setContainer,[ @service_container ] ]
          
    visual_m_media_manager.controller.ajax:
        class: '%visual_m_media_manager.controller.ajax.class%'
        arguments:
            - '@service_container'
            - '%visual_m_media_manager_configuration%'
            - '@translator'            
        calls:
          - [ setContainer,[ @service_container ] ]